Table of Contents

## Name

XTextWidth, XTextWidth16 - compute text width

## Syntax

int XTextWidth(font_struct, string, count)
XFontStruct *font_struct;
char *string;
int count;

int XTextWidth16(font_struct, string, count)
XFontStruct *font_struct;
XChar2b *string;
int count;

## Arguments

count
  Specifies the character count in the specified string.
font_struct
  Specifies the font used for the width computation.
string
  Specifies the character string.

## Description

The XTextWidth and XTextWidth16 functions return the width of the specified 8-bit or 2-byte character strings.

## See Also

XLoadFont(3X11) , XTextExtents(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also